### Hierarchy

- Matrix3D

## Index

### Constructors

- constructor

### Properties

- determinant
- position
- rawData

### Methods

- append
- appendRotation
- appendScale
- appendTranslation
- clone
- copyColumnFrom
- copyColumnTo
- copyFrom
- copyRawDataFrom
- copyRawDataTo
- copyRowFrom
- copyRowTo
- copyToMatrix3D
- decompose
- deltaTransformVector
- get_determinant
- get_position
- identity
- interpolateTo
- invert
- pointAt
- prepend
- prependRotation
- prependScale
- prependTranslation
- recompose
- set_determinant
- set_position
- transformVector
- transformVectors
- transpose
- interpolate

## Constructors

### constructor

- new Matrix3D(v?: Vector<number>): Matrix3D

- - Defined in lib/openfl/geom/Matrix3D.d.ts:22

  #### Parameters

  - ##### Optional v: Vector<number>

  #### Returns Matrix3D

## Properties

### determinant

determinant: number

- Defined in lib/openfl/geom/Matrix3D.d.ts:12

### position

position: Vector3D

- Defined in lib/openfl/geom/Matrix3D.d.ts:17

### rawData

rawData: Vector<number>

- Defined in lib/openfl/geom/Matrix3D.d.ts:22

## Methods

### append

- append(lhs: Matrix3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:30

  #### Parameters

  - ##### lhs: Matrix3D

  #### Returns void

### appendRotation

- appendRotation(degrees: number, axis: Vector3D, pivotPoint?: Vector3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:34

  #### Parameters

  - ##### degrees: number

  - ##### axis: Vector3D

  - ##### Optional pivotPoint: Vector3D

  #### Returns void

### appendScale

- appendScale(xScale: number, yScale: number, zScale: number): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:38

  #### Parameters

  - ##### xScale: number

  - ##### yScale: number

  - ##### zScale: number

  #### Returns void

### appendTranslation

- appendTranslation(x: number, y: number, z: number): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:42

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### z: number

  #### Returns void

### clone

- clone(): Matrix3D

- - Defined in lib/openfl/geom/Matrix3D.d.ts:46

  #### Returns Matrix3D

### copyColumnFrom

- copyColumnFrom(column: number, vector3D: Vector3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:49

  #### Parameters

  - ##### column: number

  - ##### vector3D: Vector3D

  #### Returns void

### copyColumnTo

- copyColumnTo(column: number, vector3D: Vector3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:52

  #### Parameters

  - ##### column: number

  - ##### vector3D: Vector3D

  #### Returns void

### copyFrom

- copyFrom(other: Matrix3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:55

  #### Parameters

  - ##### other: Matrix3D

  #### Returns void

### copyRawDataFrom

- copyRawDataFrom(vector: Vector<number>, index?: number, transpose?: boolean): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:58

  #### Parameters

  - ##### vector: Vector<number>

  - ##### Optional index: number

  - ##### Optional transpose: boolean

  #### Returns void

### copyRawDataTo

- copyRawDataTo(vector: Vector<number>, index?: number, transpose?: boolean): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:61

  #### Parameters

  - ##### vector: Vector<number>

  - ##### Optional index: number

  - ##### Optional transpose: boolean

  #### Returns void

### copyRowFrom

- copyRowFrom(row: number, vector3D: Vector3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:64

  #### Parameters

  - ##### row: number

  - ##### vector3D: Vector3D

  #### Returns void

### copyRowTo

- copyRowTo(row: number, vector3D: Vector3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:67

  #### Parameters

  - ##### row: number

  - ##### vector3D: Vector3D

  #### Returns void

### copyToMatrix3D

- copyToMatrix3D(other: Matrix3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:70

  #### Parameters

  - ##### other: Matrix3D

  #### Returns void

### decompose

- decompose(orientationStyle?: Orientation3D): Vector<Vector3D>

- - Defined in lib/openfl/geom/Matrix3D.d.ts:82

  #### Parameters

  - ##### Optional orientationStyle: Orientation3D

  #### Returns Vector<Vector3D>

### deltaTransformVector

- deltaTransformVector(v: Vector3D): Vector3D

- - Defined in lib/openfl/geom/Matrix3D.d.ts:85

  #### Parameters

  - ##### v: Vector3D

  #### Returns Vector3D

### Protected get_determinant

- get_determinant(): number

- - Defined in lib/openfl/geom/Matrix3D.d.ts:14

  #### Returns number

### Protected get_position

- get_position(): Vector3D

- - Defined in lib/openfl/geom/Matrix3D.d.ts:19

  #### Returns Vector3D

### identity

- identity(): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:88

  #### Returns void

### interpolateTo

- interpolateTo(toMat: Matrix3D, percent: number): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:95

  #### Parameters

  - ##### toMat: Matrix3D

  - ##### percent: number

  #### Returns void

### invert

- invert(): boolean

- - Defined in lib/openfl/geom/Matrix3D.d.ts:99

  #### Returns boolean

### pointAt

- pointAt(pos: Vector3D, at?: Vector3D, up?: Vector3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:102

  #### Parameters

  - ##### pos: Vector3D

  - ##### Optional at: Vector3D

  - ##### Optional up: Vector3D

  #### Returns void

### prepend

- prepend(rhs: Matrix3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:106

  #### Parameters

  - ##### rhs: Matrix3D

  #### Returns void

### prependRotation

- prependRotation(degrees: number, axis: Vector3D, pivotPoint?: Vector3D): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:110

  #### Parameters

  - ##### degrees: number

  - ##### axis: Vector3D

  - ##### Optional pivotPoint: Vector3D

  #### Returns void

### prependScale

- prependScale(xScale: number, yScale: number, zScale: number): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:114

  #### Parameters

  - ##### xScale: number

  - ##### yScale: number

  - ##### zScale: number

  #### Returns void

### prependTranslation

- prependTranslation(x: number, y: number, z: number): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:118

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### z: number

  #### Returns void

### recompose

- recompose(components: Vector<Vector3D>, orientationStyle?: Orientation3D): boolean

- - Defined in lib/openfl/geom/Matrix3D.d.ts:121

  #### Parameters

  - ##### components: Vector<Vector3D>

  - ##### Optional orientationStyle: Orientation3D

  #### Returns boolean

### Protected set_determinant

- set_determinant(value: number): number

- - Defined in lib/openfl/geom/Matrix3D.d.ts:15

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_position

- set_position(value: Vector3D): Vector3D

- - Defined in lib/openfl/geom/Matrix3D.d.ts:20

  #### Parameters

  - ##### value: Vector3D

  #### Returns Vector3D

### transformVector

- transformVector(v: Vector3D): Vector3D

- - Defined in lib/openfl/geom/Matrix3D.d.ts:125

  #### Parameters

  - ##### v: Vector3D

  #### Returns Vector3D

### transformVectors

- transformVectors(vin: Vector<number>, vout: Vector<number>): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:128

  #### Parameters

  - ##### vin: Vector<number>

  - ##### vout: Vector<number>

  #### Returns void

### transpose

- transpose(): void

- - Defined in lib/openfl/geom/Matrix3D.d.ts:132

  #### Returns void

### Static interpolate

- interpolate(thisMat: Matrix3D, toMat: Matrix3D, percent: number): Matrix3D

- - Defined in lib/openfl/geom/Matrix3D.d.ts:91

  #### Parameters

  - ##### thisMat: Matrix3D

  - ##### toMat: Matrix3D

  - ##### percent: number

  #### Returns Matrix3D

Generated using TypeDoc